<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title']='Пользователи'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();


echo "<div class=\"post\"><img src='/images/search.gif' alt=''/> Поиск по нику:</div>\n";
echo "<form method=\"post\" action=\"/users.php?go\">";
echo "<input type=\"text\" name=\"usearch\" maxlength=\"16\" value=\"$usearch\" />\n";
echo "<input type=\"submit\" value=\"Найти\" />";
echo "</form>\n";

echo "<div class=\"str\">";
echo "Сорт: ";
echo "<a href=\"users.php?sort=vopros9\">умники</a> | \n";
echo "<a href=\"users.php?sort=balls\">баллы</a> | \n";
echo "<a href=\"users.php?sort=rating\">рейтинг</a> | \n";
echo "<a href=\"users.php?sort=pol\">пол</a> | \n";
echo "<a href=\"users.php?sort=new\">новые</a>";
echo "</div>\n";


$asc='DESC';
$order='id';
if (isset($_GET['sort']) && $_GET['sort']=='vopros9')$order='vopros9';
if (isset($_GET['sort']) && $_GET['sort']=='balls')$order='balls';
elseif (isset($_GET['sort']) && $_GET['sort']=='rating')$order='rating';
elseif (isset($_GET['sort']) && $_GET['sort']=='new'){$order='id'; $asc='DESC';}
elseif (isset($_GET['sort']) && $_GET['sort']=='pol'){$order='pol';$asc='ASC';}

if (!isset($_GET['go']))
{
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "Нет результатов\n";
}

$q=mysql_query("SELECT * FROM `user` ORDER BY $order $asc LIMIT $start, $set[p_str]");
while ($ank = mysql_fetch_array($q))
{

if($num==1){
echo "<div class='rowdown'>";
$num=0;
}else{
echo "<div class='rowup'>";
$num=1;}

avatar2($ank['id']);
echo "<br/><br/>";
echo "".online2($ank['id'])." <a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a>\n";
if ($order=='balls')echo "($ank[balls])";
else
if ($order=='rating')echo "($ank[rating])";
else
if ($order=='vopros9')echo "($ank[vopros9])";
if($ank['rating']>=100 && $ank['rating']<=2999999999)echo " <img src='/zv/vip.png'></img>";
if($ank['rating']>=0 && $ank['rating']<=2)echo " <img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=3 && $ank['rating']<=5)echo " <img src='/zv/marine.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=6 && $ank['rating']<=8)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=9 && $ank['rating']<=11)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=12 && $ank['rating']<=14)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=15 && $ank['rating']<=19)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'></img>";
if($ank['rating']>=20 && $ank['rating']<=24)echo " <img src='/zv/yellow.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=25 && $ank['rating']<=29)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=30 && $ank['rating']<=34)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=35 && $ank['rating']<=39)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=40 && $ank['rating']<=46)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'></img>";
if($ank['rating']>=47 && $ank['rating']<=53)echo " <img src='/zv/green.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=54 && $ank['rating']<=60)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=61 && $ank['rating']<=67)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=68 && $ank['rating']<=74)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=75 && $ank['rating']<=84)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'></img>";
if($ank['rating']>=85 && $ank['rating']<=94)echo " <img src='/zv/red.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=95 && $ank['rating']<=104)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=105 && $ank['rating']<=114)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=115 && $ank['rating']<=124)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=125 && $ank['rating']<=139)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'></img>";
if($ank['rating']>=140 && $ank['rating']<=154)echo " <img src='/zv/4.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=155 && $ank['rating']<=169)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=170 && $ank['rating']<=184)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=185 && $ank['rating']<=199)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=200 && $ank['rating']<=99999999)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'></img>";

echo "<br />";
if ($ank['pol']==1)
echo "(Муж)";
else
echo "(Жен)";
if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo " $ank[ank_age] лет";
}
if ($ank['ank_city']!=NULL)echo " $ank[ank_city]";
echo "<br />\n";





echo "</div>\n";
}}

if ($k_page>1)str("users.php?sort=$order&amp;",$k_page,$page); // Вывод страниц




$usearch=NULL;
if (isset($_SESSION['usearch']))$usearch=$_SESSION['usearch'];
if (isset($_POST['usearch']))$usearch=$_POST['usearch'];

if ($usearch==NULL)
unset($_SESSION['usearch']);
else
$_SESSION['usearch']=$usearch;
$usearch=ereg_replace("( ){1,}","",$usearch);


if (isset($_GET['go']) && $usearch!=NULL)
{
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `nick` like '%".mysql_escape_string($usearch)."%' OR `id` = '".intval($usearch)."'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "Нет результатов\n";
}
$q=mysql_query("SELECT * FROM `user` WHERE `nick` like '%".mysql_escape_string($usearch)."%' OR `id` = '".intval($usearch)."' ORDER BY `date_last` DESC LIMIT $start, $set[p_str]");
while ($ank = mysql_fetch_array($q))
{
if($num==1){
echo "<div class='rowdown'>";
$num=0;
}else{
echo "<div class='rowup'>";
$num=1;}
echo "".online($ank['id'])." <a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a>\n";
if ($ank['group_access']>1)echo "<img src='/admin.png' alt='' />\n";
echo "<br/>\n";

if($ank['rating']>=0 && $ank['rating']<=2)echo " <img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=3 && $ank['rating']<=5)echo " <img src='/zv/marine.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=6 && $ank['rating']<=8)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=9 && $ank['rating']<=11)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=12 && $ank['rating']<=14)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=15 && $ank['rating']<=19)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'></img>";
if($ank['rating']>=20 && $ank['rating']<=24)echo " <img src='/zv/yellow.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=25 && $ank['rating']<=29)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=30 && $ank['rating']<=34)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=35 && $ank['rating']<=39)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=40 && $ank['rating']<=46)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'></img>";
if($ank['rating']>=47 && $ank['rating']<=53)echo " <img src='/zv/green.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=54 && $ank['rating']<=60)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=61 && $ank['rating']<=67)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=68 && $ank['rating']<=74)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=75 && $ank['rating']<=84)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'></img>";
if($ank['rating']>=85 && $ank['rating']<=94)echo " <img src='/zv/red.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=95 && $ank['rating']<=104)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=105 && $ank['rating']<=114)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=115 && $ank['rating']<=124)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=125 && $ank['rating']<=139)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'></img>";
if($ank['rating']>=140 && $ank['rating']<=154)echo " <img src='/zv/4.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=155 && $ank['rating']<=169)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=170 && $ank['rating']<=184)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=185 && $ank['rating']<=199)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=200 && $ank['rating']<=219)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'></img>";
if($ank['rating']>=220 && $ank['rating']<=239)echo " <img src='/zv/7.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=240 && $ank['rating']<=259)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=260 && $ank['rating']<=279)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=280 && $ank['rating']<=299)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=300 && $ank['rating']<=2999999)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'></img>";

if ($ank['pol']==1)
echo "<span class=\"ank_d\">(Муж)</span>\n";
else
echo "<span class=\"ank_d\">(Жен)</span>\n";

if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo " <span class=\"ank_d\">$ank[ank_age] лет</span>\n";
}
if ($ank['ank_city']!=NULL)echo " <span class=\"ank_d\">$ank[ank_city]</span><br />\n";
echo "</div>\n";
}
if ($k_page>1)str("users.php?go&amp;",$k_page,$page); // Вывод страниц
}

include_once 'sys/inc/tfoot.php';
?>




